### YamlMime:ManagedReference
items:
- uid: Voile.UI.TextLabel
  commentId: T:Voile.UI.TextLabel
  id: TextLabel
  parent: Voile.UI
  children:
  - Voile.UI.TextLabel.Font
  - Voile.UI.TextLabel.FontColor
  - Voile.UI.TextLabel.FontSize
  - Voile.UI.TextLabel.OnRender(Voile.Rendering.RenderSystem)
  - Voile.UI.TextLabel.Text
  langs:
  - csharp
  - vb
  name: TextLabel
  nameWithType: TextLabel
  fullName: Voile.UI.TextLabel
  type: Class
  source:
    remote:
      path: Voile/Source/UI/TextLabel.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: TextLabel
    path: Source/UI/TextLabel.cs
    startLine: 4
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: 'public class TextLabel : UIElement'
    content.vb: Public Class TextLabel Inherits UIElement
  inheritance:
  - System.Object
  - Voile.UI.UIElement
  inheritedMembers:
  - Voile.UI.UIElement.Rect
  - Voile.UI.UIElement.VerticalSizeFlags
  - Voile.UI.UIElement.HorizontalSizeFlags
  - Voile.UI.UIElement.ExpandRatio
  - Voile.UI.UIElement.AddChild(Voile.UI.UIElement)
  - Voile.UI.UIElement.Render(Voile.Rendering.RenderSystem)
  - Voile.UI.UIElement.children
  - Voile.UI.UIElement.parent
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: Voile.UI.TextLabel.Text
  commentId: P:Voile.UI.TextLabel.Text
  id: Text
  parent: Voile.UI.TextLabel
  langs:
  - csharp
  - vb
  name: Text
  nameWithType: TextLabel.Text
  fullName: Voile.UI.TextLabel.Text
  type: Property
  source:
    remote:
      path: Voile/Source/UI/TextLabel.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Text
    path: Source/UI/TextLabel.cs
    startLine: 6
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: public string Text { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Text As String
  overload: Voile.UI.TextLabel.Text*
- uid: Voile.UI.TextLabel.Font
  commentId: P:Voile.UI.TextLabel.Font
  id: Font
  parent: Voile.UI.TextLabel
  langs:
  - csharp
  - vb
  name: Font
  nameWithType: TextLabel.Font
  fullName: Voile.UI.TextLabel.Font
  type: Property
  source:
    remote:
      path: Voile/Source/UI/TextLabel.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Font
    path: Source/UI/TextLabel.cs
    startLine: 7
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: public Font Font { get; set; }
    parameters: []
    return:
      type: Voile.Font
    content.vb: Public Property Font As Font
  overload: Voile.UI.TextLabel.Font*
- uid: Voile.UI.TextLabel.FontSize
  commentId: P:Voile.UI.TextLabel.FontSize
  id: FontSize
  parent: Voile.UI.TextLabel
  langs:
  - csharp
  - vb
  name: FontSize
  nameWithType: TextLabel.FontSize
  fullName: Voile.UI.TextLabel.FontSize
  type: Property
  source:
    remote:
      path: Voile/Source/UI/TextLabel.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: FontSize
    path: Source/UI/TextLabel.cs
    startLine: 14
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: public int FontSize { get; set; }
    parameters: []
    return:
      type: System.Int32
    content.vb: Public Property FontSize As Integer
  overload: Voile.UI.TextLabel.FontSize*
- uid: Voile.UI.TextLabel.FontColor
  commentId: P:Voile.UI.TextLabel.FontColor
  id: FontColor
  parent: Voile.UI.TextLabel
  langs:
  - csharp
  - vb
  name: FontColor
  nameWithType: TextLabel.FontColor
  fullName: Voile.UI.TextLabel.FontColor
  type: Property
  source:
    remote:
      path: Voile/Source/UI/TextLabel.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: FontColor
    path: Source/UI/TextLabel.cs
    startLine: 15
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: public Color FontColor { get; set; }
    parameters: []
    return:
      type: Voile.Color
    content.vb: Public Property FontColor As Color
  overload: Voile.UI.TextLabel.FontColor*
- uid: Voile.UI.TextLabel.OnRender(Voile.Rendering.RenderSystem)
  commentId: M:Voile.UI.TextLabel.OnRender(Voile.Rendering.RenderSystem)
  id: OnRender(Voile.Rendering.RenderSystem)
  parent: Voile.UI.TextLabel
  langs:
  - csharp
  - vb
  name: OnRender(RenderSystem)
  nameWithType: TextLabel.OnRender(RenderSystem)
  fullName: Voile.UI.TextLabel.OnRender(Voile.Rendering.RenderSystem)
  type: Method
  source:
    remote:
      path: Voile/Source/UI/TextLabel.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: OnRender
    path: Source/UI/TextLabel.cs
    startLine: 16
  assemblies:
  - Voile
  namespace: Voile.UI
  example: []
  syntax:
    content: protected override void OnRender(RenderSystem renderer)
    parameters:
    - id: renderer
      type: Voile.Rendering.RenderSystem
    content.vb: Protected Overrides Sub OnRender(renderer As RenderSystem)
  overridden: Voile.UI.UIElement.OnRender(Voile.Rendering.RenderSystem)
  overload: Voile.UI.TextLabel.OnRender*
references:
- uid: Voile.UI
  commentId: N:Voile.UI
  href: Voile.html
  name: Voile.UI
  nameWithType: Voile.UI
  fullName: Voile.UI
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.UI
    name: UI
    href: Voile.UI.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.UI
    name: UI
    href: Voile.UI.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: Voile.UI.UIElement
  commentId: T:Voile.UI.UIElement
  parent: Voile.UI
  href: Voile.UI.UIElement.html
  name: UIElement
  nameWithType: UIElement
  fullName: Voile.UI.UIElement
- uid: Voile.UI.UIElement.Rect
  commentId: P:Voile.UI.UIElement.Rect
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_Rect
  name: Rect
  nameWithType: UIElement.Rect
  fullName: Voile.UI.UIElement.Rect
- uid: Voile.UI.UIElement.VerticalSizeFlags
  commentId: P:Voile.UI.UIElement.VerticalSizeFlags
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_VerticalSizeFlags
  name: VerticalSizeFlags
  nameWithType: UIElement.VerticalSizeFlags
  fullName: Voile.UI.UIElement.VerticalSizeFlags
- uid: Voile.UI.UIElement.HorizontalSizeFlags
  commentId: P:Voile.UI.UIElement.HorizontalSizeFlags
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_HorizontalSizeFlags
  name: HorizontalSizeFlags
  nameWithType: UIElement.HorizontalSizeFlags
  fullName: Voile.UI.UIElement.HorizontalSizeFlags
- uid: Voile.UI.UIElement.ExpandRatio
  commentId: P:Voile.UI.UIElement.ExpandRatio
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_ExpandRatio
  name: ExpandRatio
  nameWithType: UIElement.ExpandRatio
  fullName: Voile.UI.UIElement.ExpandRatio
- uid: Voile.UI.UIElement.AddChild(Voile.UI.UIElement)
  commentId: M:Voile.UI.UIElement.AddChild(Voile.UI.UIElement)
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_AddChild_Voile_UI_UIElement_
  name: AddChild(UIElement)
  nameWithType: UIElement.AddChild(UIElement)
  fullName: Voile.UI.UIElement.AddChild(Voile.UI.UIElement)
  spec.csharp:
  - uid: Voile.UI.UIElement.AddChild(Voile.UI.UIElement)
    name: AddChild
    href: Voile.UI.UIElement.html#Voile_UI_UIElement_AddChild_Voile_UI_UIElement_
  - name: (
  - uid: Voile.UI.UIElement
    name: UIElement
    href: Voile.UI.UIElement.html
  - name: )
  spec.vb:
  - uid: Voile.UI.UIElement.AddChild(Voile.UI.UIElement)
    name: AddChild
    href: Voile.UI.UIElement.html#Voile_UI_UIElement_AddChild_Voile_UI_UIElement_
  - name: (
  - uid: Voile.UI.UIElement
    name: UIElement
    href: Voile.UI.UIElement.html
  - name: )
- uid: Voile.UI.UIElement.Render(Voile.Rendering.RenderSystem)
  commentId: M:Voile.UI.UIElement.Render(Voile.Rendering.RenderSystem)
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_Render_Voile_Rendering_RenderSystem_
  name: Render(RenderSystem)
  nameWithType: UIElement.Render(RenderSystem)
  fullName: Voile.UI.UIElement.Render(Voile.Rendering.RenderSystem)
  spec.csharp:
  - uid: Voile.UI.UIElement.Render(Voile.Rendering.RenderSystem)
    name: Render
    href: Voile.UI.UIElement.html#Voile_UI_UIElement_Render_Voile_Rendering_RenderSystem_
  - name: (
  - uid: Voile.Rendering.RenderSystem
    name: RenderSystem
    href: Voile.Rendering.RenderSystem.html
  - name: )
  spec.vb:
  - uid: Voile.UI.UIElement.Render(Voile.Rendering.RenderSystem)
    name: Render
    href: Voile.UI.UIElement.html#Voile_UI_UIElement_Render_Voile_Rendering_RenderSystem_
  - name: (
  - uid: Voile.Rendering.RenderSystem
    name: RenderSystem
    href: Voile.Rendering.RenderSystem.html
  - name: )
- uid: Voile.UI.UIElement.children
  commentId: F:Voile.UI.UIElement.children
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_children
  name: children
  nameWithType: UIElement.children
  fullName: Voile.UI.UIElement.children
- uid: Voile.UI.UIElement.parent
  commentId: F:Voile.UI.UIElement.parent
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_parent
  name: parent
  nameWithType: UIElement.parent
  fullName: Voile.UI.UIElement.parent
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile.UI.TextLabel.Text*
  commentId: Overload:Voile.UI.TextLabel.Text
  href: Voile.UI.TextLabel.html#Voile_UI_TextLabel_Text
  name: Text
  nameWithType: TextLabel.Text
  fullName: Voile.UI.TextLabel.Text
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: Voile.UI.TextLabel.Font*
  commentId: Overload:Voile.UI.TextLabel.Font
  href: Voile.UI.TextLabel.html#Voile_UI_TextLabel_Font
  name: Font
  nameWithType: TextLabel.Font
  fullName: Voile.UI.TextLabel.Font
- uid: Voile.Font
  commentId: T:Voile.Font
  parent: Voile
  href: Voile.Font.html
  name: Font
  nameWithType: Font
  fullName: Voile.Font
- uid: Voile
  commentId: N:Voile
  href: Voile.html
  name: Voile
  nameWithType: Voile
  fullName: Voile
- uid: Voile.UI.TextLabel.FontSize*
  commentId: Overload:Voile.UI.TextLabel.FontSize
  href: Voile.UI.TextLabel.html#Voile_UI_TextLabel_FontSize
  name: FontSize
  nameWithType: TextLabel.FontSize
  fullName: Voile.UI.TextLabel.FontSize
- uid: System.Int32
  commentId: T:System.Int32
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int
  nameWithType: int
  fullName: int
  nameWithType.vb: Integer
  fullName.vb: Integer
  name.vb: Integer
- uid: Voile.UI.TextLabel.FontColor*
  commentId: Overload:Voile.UI.TextLabel.FontColor
  href: Voile.UI.TextLabel.html#Voile_UI_TextLabel_FontColor
  name: FontColor
  nameWithType: TextLabel.FontColor
  fullName: Voile.UI.TextLabel.FontColor
- uid: Voile.Color
  commentId: T:Voile.Color
  parent: Voile
  href: Voile.Color.html
  name: Color
  nameWithType: Color
  fullName: Voile.Color
- uid: Voile.UI.UIElement.OnRender(Voile.Rendering.RenderSystem)
  commentId: M:Voile.UI.UIElement.OnRender(Voile.Rendering.RenderSystem)
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_OnRender_Voile_Rendering_RenderSystem_
  name: OnRender(RenderSystem)
  nameWithType: UIElement.OnRender(RenderSystem)
  fullName: Voile.UI.UIElement.OnRender(Voile.Rendering.RenderSystem)
  spec.csharp:
  - uid: Voile.UI.UIElement.OnRender(Voile.Rendering.RenderSystem)
    name: OnRender
    href: Voile.UI.UIElement.html#Voile_UI_UIElement_OnRender_Voile_Rendering_RenderSystem_
  - name: (
  - uid: Voile.Rendering.RenderSystem
    name: RenderSystem
    href: Voile.Rendering.RenderSystem.html
  - name: )
  spec.vb:
  - uid: Voile.UI.UIElement.OnRender(Voile.Rendering.RenderSystem)
    name: OnRender
    href: Voile.UI.UIElement.html#Voile_UI_UIElement_OnRender_Voile_Rendering_RenderSystem_
  - name: (
  - uid: Voile.Rendering.RenderSystem
    name: RenderSystem
    href: Voile.Rendering.RenderSystem.html
  - name: )
- uid: Voile.UI.TextLabel.OnRender*
  commentId: Overload:Voile.UI.TextLabel.OnRender
  href: Voile.UI.TextLabel.html#Voile_UI_TextLabel_OnRender_Voile_Rendering_RenderSystem_
  name: OnRender
  nameWithType: TextLabel.OnRender
  fullName: Voile.UI.TextLabel.OnRender
- uid: Voile.Rendering.RenderSystem
  commentId: T:Voile.Rendering.RenderSystem
  parent: Voile.Rendering
  href: Voile.Rendering.RenderSystem.html
  name: RenderSystem
  nameWithType: RenderSystem
  fullName: Voile.Rendering.RenderSystem
- uid: Voile.Rendering
  commentId: N:Voile.Rendering
  href: Voile.html
  name: Voile.Rendering
  nameWithType: Voile.Rendering
  fullName: Voile.Rendering
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Rendering
    name: Rendering
    href: Voile.Rendering.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Rendering
    name: Rendering
    href: Voile.Rendering.html
